<?php declare(strict_types=1); ?>
<p><?= _('Already have an account?') ?> <a href="login"><?= _('Log in') ?></a></p>

<?= (CONF['common']['services']['auth'] !== 'enabled') ? '<p><strong>' . _('Registrations are currently closed on this installation.') . '</strong></p>' : '' ?>

<form method="post">
	<label for="username"><?= _('Username') ?></label>
	<br>
	<input id="username" autocomplete="username" minlength="1" maxlength="1024" pattern="<?= USERNAME_REGEX ?>" required="" name="username" type="text" placeholder="<?= PLACEHOLDER_USERNAME ?>"><br>

	<details>
		<summary><label for="password"><?= _('Password') ?></label></summary>
		<?= sprintf(_('Minimum %1$s characters, or %2$s characters if it contains lowercase, uppercase and digit.'), 10, 8) ?>
	</details>
	<input autocomplete="new-password" id="password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" required="" name="password" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>">
	<br>
	<input<?= (CONF['common']['services']['auth'] !== 'enabled') ? ' disabled=""' : '' ?> type="submit" value="<?= _('Create an account') ?>">
</form>

