<?php declare(strict_types=1); ?>
<p>
	<?= _('In addition to your password, you can also access your SFTP space using Ed25519 SSH keys. A key can be granted modification rights to the full space (<code>/</code>) or to any arbitrary subdirectory. A key is always  allowed to list any directory content.') ?>
</p>

<p>
	<?= _('Changes only affect new SFTP sessions.') ?>
</p>

<form method="post">
	<datalist id="dirs">
		<option value="/"></option>
<?php
foreach (listFsDirs($_SESSION['id'] ?? '') as $dir)
	echo '		<option value="/' . $dir . '"></option>' . LF;
?>
	</datalist>
<?php
foreach (array_slice(array_merge(query('select', 'ssh-keys', ['username' => $_SESSION['id'] ?? '']), [['key' => '', 'username' => '', 'directory' => '/']]), 0, 8) as $i => $ssh_key) {
?>
	<fieldset>
		<legend><?= ($ssh_key['key'] === '') ? _('Add new SSH key access') : _('SSH key access') ?></legend>
		<div>
			<label for="public-key<?= $i ?>"><?= _('Public key') ?></label><br>
			<code>ssh-ed15519 <input pattern="<?= ED25519_PUBKEY_REGEX ?>" placeholder="AAAAC3NzaC1lZDI1NTE5AAAAI<?= substr(base64_encode(random_bytes(32)), 0, 43) ?>" id="public-key<?= $i ?>" name="keys[<?= $i ?>][public-key]" value="<?= $ssh_key['key'] ?>" type="text"></code>
		</div>
		<div>
			<label for="dir<?= $i ?>"><?= _('Allowed directory') ?></label><br>
			<input list="dirs" placeholder="/" value="<?= htmlspecialchars($ssh_key['directory']) ?>" id="dir<?= $i ?>" name="keys[<?= $i ?>][dir]" type="text">
		</div>
	</fieldset>
<?php
}
?>
	<input type="submit" value="<?= _('Update') ?>">
</form>
