<?php declare(strict_types=1); ?>
<form method="post">
	<label for="domain"><?= _('Zone to be changed') ?></label>
	<br>
	<select required="" name="domain" id="domain">
		<option value="" disabled="" selected="">-</option>
<?php
foreach (nsListUserZones() as $domain)
	echo '		<option value="' . $domain . '">' . $domain . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="<?= _('Display') ?>">
</form>

<?php

if (isset($data['records'])) { // Display zone

?>
<form method="post">
	<input type="hidden" name="domain" value="<?= $_POST['domain'] ?>">

	<label for="zone-content"><?= sprintf(_('Authoritative records for %s'), '<code><strong>' . $_POST['domain'] . '</strong></code>') ?></label>
	<br>
	<textarea id="records" name="records" wrap="off" rows="<?= substr_count($data['records'], LF) + 1 ?>"><?= htmlspecialchars($data['records']) ?></textarea>
	<br>
	<input type="submit" value="<?= _('Replace') ?>">
</form>

<?php

}

displayFinalMessage($data);

?>

<h2><?= _('Default values') ?></h2>

<p><?= sprintf(_('If the TTL is omitted, it will default to %s seconds.'), '<code><time datetime="PT' . NS_DEFAULT_TTL . 'S">' . NS_DEFAULT_TTL . '</time></code>') ?></p>

<p><?= _('Precising the class (<code>IN</code>) is optional.') ?></p>

<h2><?= _('Allowed values') ?></h2>

<p><?= sprintf(_('Submitted field content is limited to %s characters.'), NS_TEXTAREA_MAX_CHARACTERS) ?></p>

<p><?= sprintf(_('TTLs must last between %1$s and %2$s seconds.'), '<code><time datetime="PT' . NS_MIN_TTL . 'S">' . NS_MIN_TTL . '</time></code>', '<code><time datetime="PT' . NS_MAX_TTL . 'S">' . NS_MAX_TTL . '</time></code>') ?></p>

<p><?= _('The only types that can be defined here are:') ?></p>

<ul>
<?php
	foreach (NS_ALLOWED_TYPES as $allowed_type)
		echo '	<li><code>' . $allowed_type . '</code></li>';
?>
</ul>
