<?php declare(strict_types=1); ?>
<form method="post">
<?php require ROOT_PATH . '/pg-view/reg/select-action.inc.php'; ?>
	<br>
<?php require ROOT_PATH . '/pg-view/reg/select-domain.inc.php'; ?>
	<br>
	<label for="keytag"><?= _('Key tag') ?></label>
	<br>
	<input required="" id="keytag" placeholder="32768" min="1" max="65535" name="keytag" type="number"><span></span>
	<br>
	<label for="algo"><?= _('Algorithm') ?></label>
	<br>
	<select required="" name="algo" id="algo">
		<!-- RFC 8624: Algorithm Implementation Requirements and Usage Guidance for DNSSEC > Algorithm Selection > DNSKEY Algorithms -->
		<!-- https://tools.ietf.org/html/rfc8624.html#section-3.1 -->
		<option value="1" disabled="">1 (RSAMD5)</option>
		<option value="3" disabled="">3 (DSA)</option>
		<option value="5" disabled="">5 (RSASHA1)</option>
		<option value="6" disabled="">6 (DSA-NSEC3-SHA1)</option>
		<option value="7" disabled="">7 (RSASHA1-NSEC3-SHA1)</option>
		<option value="8">8 (RSASHA256)</option>
		<option value="10" disabled="">10 (RSASHA512)</option>
		<option value="12" disabled="">12 (ECC-GOST)</option>
		<option value="13">13 (ECDSAP256SHA256)</option>
		<option value="14">14 (ECDSAP384SHA384)</option>
		<option value="15" selected="">15 (ED25519)</option>
		<option value="16">16 (ED448)</option>
	</select>
	<br>
	<label for="dt"><?= _('Digest type') ?></label>
	<br>
	<select required="" name="dt" id="dt">
		<!-- RFC 8624: Algorithm Implementation Requirements and Usage Guidance for DNSSEC > Algorithm Selection > DS and CDS Algorithms -->
		<!-- https://tools.ietf.org/html/rfc8624.html#section-3.3 -->
		<option value="1" disabled="">1 (SHA-1)</option>
		<option value="2" selected="">2 (SHA-256)</option>
		<option value="3" disabled="">3 (GOST R 34.11-94)</option>
		<option value="4">4 (SHA-384)</option>
	</select>
	<br>
	<label for="key"><?= _('Key') ?></label>
	<br>
	<input id="key" required="" name="key" type="text" pattern="^([0-9a-fA-F]{64}|[0-9a-fA-F]{96})$" placeholder="<?= strtoupper(bin2hex(random_bytes(32))) ?>">
	<br>
	<input type="submit" value="<?= _('Apply') ?>">
</form>
